body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    background: #5500FF;
    font-family: roboto;
    font-size: 40px;
    border: 4px solid #5500FF;
    border-radius: 5px;
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    /* overflow: hidden; */
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: skewX(-15deg);
}

a span{
    position: absolute;
    font-size: 70px;
    line-height: 70px;
    right: 0;
    top: -5px;
    transition: all .3s;
}

a:hover{
    padding-right: 100px;
}

a:hover span{
    transform: translateX(-25px);
}

a:hover span:nth-child(1){
    right: 28px;
}
a:hover span:nth-child(3){
    right: -28px;
}


